messagesAsk AIget https://api.zan.top/node/v1/ton/mainnet/{apiKey}/api/v3/messagesGet messages by specified filters. π Note: The v3 version API data range only supports blocks after 42000000 on the masterchain (Data after November 15, 2024). Path ParamsapiKeystringrequiredDefaults to publicFor higher throughput, please create your own API keyQuery Paramsmsg_hasharray of stringsDefaults to Message hash. Acceptable in hex, base64 and base64url forms.msg_hashADD stringbody_hashstringHash of message body.sourcestringThe source account address. Can be sent in hex, base64 or base64url form. Use value null to get external messages.destinationstringThe destination account address. Can be sent in hex, base64 or base64url form. Use value null to get log messages.directionstringDirection of message, Example in or outopcodestringOpcode of message in hex or signed 32-bit decimal form.start_utimeintegerQuery messages with created_at >= start_utime.end_utimeintegerQuery messages with created_at <= end_utime.start_ltintegerQuery messages with created_lt >= start_lt.end_ltintegerQuery messages with created_lt <= end_lt.limitintegerDefaults to 10Limit number of queried rows(Default 10). Use with offset to batch read.offsetintegerDefaults to 0Skip first N rows. Use with limit to batch read.sortstringDefaults to descSort transactions by lt.Response 200Get messages by specified filters.Updated 4 months ago